# Create Emailpreview Test (deprecated)

Creates a new email preview test.WARNING: _This endpoint is deprecated in favor of our V2 endpoint._

Endpoint: POST /v1/preview/tests
Version: 1.0.0
Security: basicAuth

## Request fields (application/json):

  - `subject` (string, required)

  - `html` (string)

  - `mime` (string)

  - `url` (string)

  - `transfer_encoding` (string)

  - `charset` (string)

  - `reference_id` (string)

  - `customer_id` (string)

  - `clients` (array)

  - `image_blocking` (boolean)

  - `headers` (object)

  - `spam` (object,null)

  - `spam.test_method` (string)

  - `spam.from_address` (string)

  - `spam.key` (string)

  - `spam.smtp_info` (object,null)

  - `spam.smtp_info.host` (string)

  - `spam.smtp_info.port` (integer)

  - `spam.smtp_info.secure` (string)

  - `spam.smtp_info.username` (string)

  - `spam.smtp_info.password` (string)

  - `content_checking` (object)

  - `content_checking.link_validation` (boolean)
    Enable comprehensive link analysis

  - `content_checking.image_validation` (boolean)
    Enable comprehensive image analysis

  - `content_checking.accessibility` (boolean)
    Enable comprehensive accessibility analysis

  - `content_checking.code_analysis` (boolean)
    Enable comprehensive code analysis of the email content to detect HTML and CSS features and provides a compatibility report across major email clients.

  - `user_id` (string)

  - `folder_id` (string)

  - `project_name` (string)

## Response 200 fields (application/json):

  - `id` (string)

  - `reference_id` (string)

  - `customer_id` (string)

  - `spam` (object,null)

  - `spam.key` (string)

  - `spam.address_list` (array)

  - `warnings` (array)

  - `warnings.name` (string)

  - `warnings.message` (string)

  - `content_checking` (any)

## Response 400 fields (application/json):

  - `Reason` (string, required)

## Response 401 fields (application/json):

  - `Reason` (string, required)

## Response 500 fields (application/json):

  - `message` (string, required)
    Response message

## Response default fields (application/json):

  - `error` (object)

  - `error.name` (string)

  - `error.message` (string)


